<template>
    <div>
      <q-btn  style="margin-top:30px; margin-left: 9%" color="orange" icon="arrow_back" label="Kembali" />

      <q-form
        @submit="onSubmit"
        @reset="onReset"
        class="q-gutter-md"
      >
        <div class="q-pa-md" style="width: 80%; background: #4caf50; color: white; margin-top: 50px; margin-left: auto; margin-right: auto; box-shadow: 0 0 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
          <h6 style="margin: 0">Tambah Banner</h6>
        </div>
        <div class="q-pa-md" style="width: 80%; padding: 0; margin: auto; margin-top: 0; box-shadow: 0 0 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
          <div>
            <p>&nbsp;</p>
            <h6 style="margin-left: 70px; margin-top: 0; margin-bottom: 10px">Data Banner</h6>
            <div class="q-gutter-y-md" style="width: 85%; margin: auto" >

              <q-input
                standout="bg-green text-white"
                label="Judul"
                hint="Barang/Jasa/Investor"
              />
              <div class="row">
                <q-input
                  style="width: 80%"
                  standout="bg-green text-white"
                  label="Banner"
                  hint="Nama Kategori"
                />
                <q-file  v-model="model" label="Browse" counter style="width: 20%" standout="bg-green text-white">
                  <template v-slot:prepend>
                    <q-icon name="cloud_upload" @click.stop />
                  </template>
                </q-file>

              </div>
              <q-input
                standout="bg-green text-white"
                label="Deskripsi"
                type="textarea"
              />
              <q-input
                standout="bg-green text-white"
                label="Target URL"
                hint="Barang/Jasa/Investor"
              />
              <q-select
                standout="bg-green text-white"
                label="Status"
                hint="Barang/Jasa/Investor"
              />
              <div class="row">
                <p style="margin: 13px 50px 0 0; font-size: 20px">Masa Berlaku</p>
              <q-input
                standout="bg-green text-white"
                style="width: 30%; margin-right: 30px "
                label="Awal"
                v-model="date">
                <template v-slot:prepend>
                  <q-icon name="event" />
                </template>
              </q-input>
                <q-input
                  standout="bg-green text-white"
                  style="width: 30%"
                  label="Akhir"
                  v-model="date">
                  <template v-slot:prepend>
                    <q-icon name="event" />
                  </template>
                </q-input>
              </div>
              <ul style="margin-left: -20px">
              <li style="font-size: 20px; margin-bottom: 5px">Format gambar yang diijinkan adalah jpg, jpeg & png.</li>
              <li style="font-size: 20px; margin-top: 5px" >Maksimal Ukuran Gambar adalah 2 mb</li>
              </ul>
            </div>
            <p>&nbsp;</p>
          </div>
        </div>

        <div style="margin-top: 20px; margin-left: auto; margin-right:auto; margin-bottom: 50px; width: 80%">
          <q-btn  label="Simpan Banner" type="submit" color="green"/>
        </div>
      </q-form>
    </div>
  </template>

<script>
export default {
  name: "Category",

  data() {
    return {
      optionsParent: null,
      parent: null,
      form: {
        parent_id: null,
        category  : null,
        category_desc  : null,
        img_web  : null,
        img_mobile  : null,
      }
    }
  },

  beforeMount() {
    this.getListParent()
  },

  methods: {
    async getListParent() {
      let dataApi = {
        methods: "GET",
        url: "api/category/list-select",
        headers: {
          Authorization: "Bearer " + localStorage.getItem("token")
        }
      }
      this.$q.loading.show()
      await this.$axios(dataApi)
      .then(sukses => {

      })
      .catch(gagal => {})
      .then(selalu => {
        this.$q.loading.hide()
      })
    }
  }
}
</script>

<style scoped>

</style>
